# Administration Reference

## fs listcells

Purpose

Displays the database server machines in each cell known to the Cache Manager

Synopsis

    fs listcells [-numeric]  [-help]

    fs listc [-n]  [-h]

Description

The fs listcells command formats and displays the list of the database server machines that the Cache Manager stores in kernel memory for its home cell and foreign cells.

At each reboot of the client machine, the Cache Manager copies the contents of /usr/vice/etc/CellServDB into kernel memory. To modify the list between reboots, use the fs newcell command.

Options

-numeric
  Displays each database server machine's IP address rather than hostname.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

The output includes a line for each cell included in the Cache Manager's kernel memory list, in the following format:

       Cell cell on hosts database server machines

The Cache Manager stores IP addresses, but by default has them translated to hostnames before reporting them, by passing them to the cell's name service (such as the Domain Name Service or a local host table). The name service sometimes returns hostnames in uppercase letters, or an IP address if it cannot resolve a name.

Using the -numeric flag bypasses the translation to hostnames, which can result in significantly faster production of output. The output includes IP addresses only.

Examples

The following example shows output for several cells as illustrations of the different formats for machine names:

       % fs listcells
       Cell abc.com on hosts fs1.abc.com fs2.abc.com fs3.abc.com
       Cell stateu.edu on hosts DB1.FS.STATEU.EDU
          DB2.FS.STATEU.EDU DB3.FS.STATEU.EDU
       Cell def.gov on hosts 138.255.0.2 sv3.def.gov

Privilege Required

None

Related Information

CellServDB (client version)

fs newcell

© IBM Corporation 2000. All Rights Reserved